### Property

# Vte Terminal:cursor-shape

#### Declaration

    property cursor-shape: Vte.CursorShape [ read, write ]

#### Description [src]

Controls the shape of the cursor.

Type:`VteCursorShape`

Default value | VTE_CURSOR_SHAPE_BLOCK
Getter method | `vte_terminal_get_cursor_shape()`
Setter method | `vte_terminal_set_cursor_shape()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no